<script setup>
import { ref } from "vue";

const todo_text = ref("");
const todo = ref("");

async function send() {
  try {
    const response = await fetch("/.netlify/functions/todo", {
      method: "POST",
      headers: { "Content-Type": "application/json" },
      body: JSON.stringify({ text: todo_text.value }),
    });
    const body = await response.json();
    todo.value = body;
  } catch (error) {
    console.error(error);
  } finally {
    todo_text.value = "";
  }
}
</script>

<template>
  <header>
    <img
      alt="Vue logo"
      class="logo"
      src="./assets/logo.svg"
      width="64"
      height="64"
    />
    <h1>WAB serverless</h1>
  </header>

  <main>
    <div class="wrapper">
      <form @submit.prevent="send">
        <label for="new_todo">Add todo: </label>
        <input id="new_todo" type="text" v-model="todo_text" />
        <button type="submit">Přidat</button>
      </form>
      <br />
      <div class="wrapper">{{ todo }}</div>
    </div>
  </main>
</template>

<style scoped>
header {
  line-height: 1.5;
}

.logo {
  display: block;
  margin: 0 auto 2rem;
}

@media (min-width: 1024px) {
  header {
    display: flex;
    place-items: center;
    padding-right: calc(var(--section-gap) / 2);
  }

  .logo {
    margin: 0 2rem 0 0;
  }

  .wrapper {
    display: flex;
    place-items: flex-start;
    flex-wrap: wrap;
  }
}
</style>
